<h4 class="font-weight-bold py-3 mb-4 col-md-6">
    Add New User
</h4>

<div class="card mb-4">
    <h6 class="card-header">
        Enter the User information
        <!-- <a href="javascript:void(0)" class="pull-right btn btn-primary" (click)="navigateToUserList()">User List</a> -->
    </h6>

    <div class="card-body">
        <form [formGroup]="addUser" (ngSubmit)="addNewUser(addUser.value)">
            <div class="form-row">
                <div class="form-group col-md-6">
                    <label class="form-label">First Name</label>
                    <input [formControl]="addUser.controls['first_name']" name="first_name" type="text" class="form-control" placeholder="First Name"
                        [ngClass]="{'is-invalid':!addUser.controls['first_name'].valid && addUser.controls['first_name'].touched}">
                    <div *ngIf="addUser.controls['first_name'].hasError('required') && addUser.controls['first_name'].touched" class="invalid-feedback">You must include a first name.</div>
                </div>
                <div class="form-group col-md-6">
                    <label class="form-label">Last Name</label>
                    <input [formControl]="addUser.controls['last_name']" name="last_name" type="text" class="form-control" placeholder="Last Name"
                        [ngClass]="{'is-invalid':!addUser.controls['last_name'].valid && addUser.controls['last_name'].touched}">
                    <div *ngIf="addUser.controls['last_name'].hasError('required') && addUser.controls['last_name'].touched" class="invalid-feedback">You must include a last name.</div>
                </div>

                <div class="form-group col-md-6">
                    <label class="form-label">Email</label>
                    <input [formControl]="addUser.controls['uid']" name="email" type="email" class="form-control" placeholder="Email" [ngClass]="{'is-invalid':!addUser.controls['uid'].valid && addUser.controls['uid'].touched}">
                    <div *ngIf="addUser.controls['uid'].hasError('required') && addUser.controls['uid'].touched" class="invalid-feedback">You must include a email.</div>
                    <div *ngIf="addUser.controls['uid'].hasError('pattern') && addUser.controls['uid'].touched" class="invalid-feedback">Not an valid Email.</div>
                </div>
                <!-- <div class="form-group col-md-6">
                    <label class="form-label">Role</label>
                    <select [formControl]="addUser.controls['role']" [(ngModel)]="role" class="form-control">
                        <option *ngIf="roleList.length==0" [value]="0" selected>Loading....</option>
                        <option *ngFor="let role of roleList" [value]="role.role">{{role.description}}</option>
                    </select>
                </div> -->
                <div class="form-group col-md-12">
                    <label class="form-label">Roles</label>
                    <ng-select style="color:#a4a4a4;" [formControl]="addUser.controls['role']" [multiple]="true" [options]="roleList" [(ngModel)]="role" [ngClass]="{'is-invalid':!addUser.controls['role'].valid && addUser.controls['role'].touched}">
                    </ng-select>
                    <div *ngIf="addUser.controls['role'].hasError('required') && addUser.controls['role'].touched" class="invalid-feedback">You must select at least one role.</div>
                </div>
            </div>
            <hr/>
            <button [ladda]="isloading" data-style="expand-left" type="submit" class="btn btn-outline-primary" [disabled]="!addUser.valid">Create User</button>
        </form>
    </div>
</div>
<ngb-alert [type]="alertType" (click)="isAlert=false" *ngIf="isAlert">{{alertMessage}}</ngb-alert>
<!-- <div class="card bg-success">
    <div class="card-body">
        <h6>User added successfully</h6>
    </div>
</div> -->